summaryrefslogtreecommitdiff
path: root/qa/074
diff options
context:
space:
mode:
Diffstat (limited to 'qa/074')
-rwxr-xr-xqa/07428
1 files changed, 28 insertions, 0 deletions
diff --git a/qa/074 b/qa/074
new file mode 100755
index 0000000..068eee7
--- /dev/null
+++ b/qa/074
@@ -0,0 +1,28 @@
+#! /bin/sh
+# PCP QA Test No. 074
+# permuted pmids for pmFetch, across multiple PMDAs
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+
+rm -f $seq.out
+# proc metrics may not be available
+#
+if pminfo proc.nprocs >/dev/null 2>&1
+then
+ ln $seq.out.other $seq.out
+else
+ ln $seq.out.noproc $seq.out
+fi
+
+trap "rm -f $tmp.*; exit" 0 1 2 3 15
+
+# real QA test starts here
+src/permfetch sample kernel pmcd proc